/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Metier;

/**
 *
 * @author famille Thevenot
 */
public class Electromenager extends Produit implements Reparable{
    private char classeEnergetique; // A, B, C, D ou E

    public Electromenager(String designation, double prix, String marque, char classeEnergetique) {
        super(designation, prix, marque);
        this.classeEnergetique = classeEnergetique;
    }

    @Override
    public double calculerCoutReparation(int heures) {
        double coutEnlevement = 50.0;
        return (heures * COUT_HORAIRE) + coutEnlevement;
    }

    @Override
    public String afficherCaracteristiques() {
        return "Appareil Électroménager: " + designation + ", Prix: " + prix + "€, Marque: " + marque + ", Classe énergétique: " + classeEnergetique;
    }

    @Override
    public String afficherCoutHeureReparation() {
        return "Coût d'une heure de réparation: " + COUT_HORAIRE + "€ + "+FRAIS_ENLEVEMENT+"€ (frais d'enlèvement)";
    }
}
