/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Metier;

/**
 *
 * @author famille Thevenot
 */
public class Ordinateur extends Produit implements Reparable{
     private String processeur;
    private int memoireVive; // en Go
    private int tailleDisqueDur; // en Go
    private String carteGraphique;

    public Ordinateur(String designation, double prix, String marque, String processeur, int memoireVive, int tailleDisqueDur, String carteGraphique) {
        super(designation, prix, marque);
        this.processeur = processeur;
        this.memoireVive = memoireVive;
        this.tailleDisqueDur = tailleDisqueDur;
        this.carteGraphique = carteGraphique;
    }

    @Override
    public double calculerCoutReparation(int heures) {
        return heures * COUT_HORAIRE;
    }

    @Override
    public String afficherCaracteristiques() {
        return "Ordinateur: " + designation + ", Prix: " + prix + "€, Marque: " + marque + 
               ", Processeur: " + processeur + ", Mémoire vive: " + memoireVive + " Go, " +
               "Taille du disque dur: " + tailleDisqueDur + " Go, Carte graphique: " + carteGraphique;
    }

    @Override
    public String afficherCoutHeureReparation() {
        return "Coût d'une heure de réparation: " + COUT_HORAIRE + "€";
    }
}
