/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package party;

import Metier.Accessoire;
import Metier.Electromenager;
import Metier.Magasin;
import Metier.Ordinateur;
import Metier.Produit;
import Metier.Reparable;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;

/**
 *
 * @author famille Thevenot
 */
public class TestParty {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws UnsupportedEncodingException {
         // Changer l'encodage en UTF-8  
        PrintStream ps = new PrintStream(System.out, true, "UTF-8"); 
        System.setOut(ps); 
        
        //Déclaration
       Magasin leMag=new Magasin("Party");
       leMag.chargerLesProduits();
       // Affichage des caractéristiques et coûts éventuels de réparation
        for (Produit produit : leMag.getLesProduits()) {
            System.out.println(produit.afficherCaracteristiques());
            System.out.println(produit.afficherCoutHeureReparation());
            if (produit instanceof Reparable) {
            Reparable reparableProduit = (Reparable) produit;
            double coutReparation = reparableProduit.calculerCoutReparation(10);
            System.out.println("Le coût de réparation pour 10 heures de travail pour le produit est de : " + coutReparation + "€");
            
        }
            System.out.println("--------------------");
        }
    }
    }
    
    

